STUDIP.domReady(() => {
    let loader = function () {
        if (typeof STUDIP.Vue !== "undefined") {
            return STUDIP.Vue.load();
        } else {
            //4.6: Vue is already loaded:
            return new Promise(function (resolve, reject) {
                resolve({
                    Vue: window.Vue,
                    createApp: function (options) {
                        console.log(new window.Vue(options));
                        return new window.Vue(options);
                    }
                });
            });
        }
    };

    loader().then(({Vue, createApp}) => {
        STUDIP.Toolbox.Sorter = new Vue({
            el: '#toolbox_sorter',
            data: {
                tools: $('#toolbox_sorter').data('tools')
            },
            methods: {

            },
            computed: {
                sortedTools: function () {
                    return this.tables.sort(function (a, b) { return a.priority <= b.priority; });
                }
            }
        });
    };
};
