<?php

class CheckMonitoringPoint extends SimpleORMap
{
    static protected function configure($config = array())
    {
        $config['db_table'] = 'check_monitoring_points';
        $config['has_many']['data'] = [
            'class_name'  => CheckMonitoringData::class,
            'foreign_key' => 'id',
            'assoc_foreign_key' => 'checkpoint_id',
            'on_delete' => 'delete',
            'on_store' => 'store'
        ];
        parent::configure($config);
    }

}
