<?php

namespace CheckStudip;

class EnglishWorks implements \CheckStudipMetric
{
    public function getName()
    {
        return _('Englische Sprache');
    }

    public function getIndex()
    {
        return 'english_works';
    }

    public function getDescription()
    {
        return null;
    }

    public function measure()
    {
        setLocaleEnv('en_GB', 'studip');
        $text = 'Speichern';
        $translation = _($text);
        restoreLanguage();
        return $text !== $translation ? 1 : 0;
    }

    public function defaultAlarm()
    {
        return null;
    }

    public function getMessage()
    {
        return 'Englische Locales sind nicht eingerichtet.';
    }
}
