<?php

namespace CheckStudip;
class InternalEncoding implements \CheckStudipMetric
{
    public function getIndex()
    {
        return 'internal_encoding';
    }

    public function getName()
    {
        return _('Interne Kodierung');
    }

    public function getDescription()
    {
        return null;
    }

    public function defaultAlarm()
    {
        return [
            'type' => 'error',
            'compare' => '!=',
            'value' => 'UTF-8'
        ];
    }

    public function getMessage()
    {
        return _('Das Encoding steht nicht auf UTF-8. Überprüfen Sie php_value mbstring.internal_encoding utf-8 in der Apache-Konfiguration.');
    }


    public function measure()
    {
        return \mb_internal_encoding();
    }
}
