<?php

namespace CheckStudip;

class Load implements \CheckStudipMetric
{
    public function getName()
    {
        return _('CPU-Load');
    }

    public function getDescription()
    {
        return null;
    }

    public function getIndex()
    {
        return 'load';
    }

    public function measure()
    {
        $load = \sys_getloadavg();
        return $load[1];
    }

    public function defaultAlarm()
    {
        return null;
    }

    public function getMessage()
    {
        return '';
    }
}
