<?php

namespace CheckStudip;

class StudipVersion implements \CheckStudipMetric
{
    public function getName()
    {
        return _('Stud.IP-Version');
    }

    public function getIndex()
    {
        return 'studip_version';
    }

    public function getDescription()
    {
        return null;
    }

    public function measure()
    {
        return \StudipVersion::getStudipVersion(false);
    }

    public function defaultAlarm()
    {
        return null;
    }

    public function getMessage()
    {
        return '';
    }
}
