<?php

class AddSelfMonitoring extends Migration
{
    function up()
    {
        $statement = DBManager::get()->prepare("
            INSERT INTO `check_remote_servers`
            SET `server_id` = '1',
                `name` = :name,
                `url` = :url,
                `expire_days` = 356,
                `chdate` = UNIX_TIMESTAMP(),
                `mkdate` = UNIX_TIMESTAMP()
        ");
        $secret = md5(Config::get()->STUDIP_INSTALLATION_ID."Reporter");
        $url = $GLOBALS['ABSOLUTE_URI_STUDIP'].'plugins.php/checkstudip/reporter/json?secret='.$secret;
        $statement->execute([
            'name' => Config::get()->UNI_NAME_CLEAN,
            'url' => $url
        ]);

        $statement = DBManager::get()->prepare("
            INSERT INTO `check_remote_servers`
            SET `server_id` = '2',
                `name` = '',
                `url` = '',
                `expire_days` = 1,
                `chdate` = UNIX_TIMESTAMP(),
                `mkdate` = UNIX_TIMESTAMP()
        ");
        $statement->execute([]);


    }

    function down()
    {

    }
}
