<?php
class AddNonwritables extends Migration
{
	function up()
    {
        DBManager::get()->exec("
            ALTER TABLE `check_monitoring_data`
            ADD COLUMN `internal_encoding` varchar(10) DEFAULT NULL AFTER `cronjobs_working`,
            ADD COLUMN `internet_access` tinyint(1) DEFAULT NULL AFTER `internal_encoding`,
            ADD COLUMN `plugins` text DEFAULT NULL AFTER `internet_access`,
            ADD COLUMN `nonwritable_folders` text DEFAULT NULL AFTER `plugins`
        ");
        SimpleORMap::expireTableScheme();
	}

    function down()
    {
        DBManager::get()->exec("
            ALTER TABLE `check_monitoring_data`
            DROP COLUMN `internal_encoding`,
            DROP COLUMN `internet_access`,
            DROP COLUMN `plugins`,
            DROP COLUMN `nonwritable_folders`
        ");
        SimpleORMap::expireTableScheme();
    }
}
