<? if (count($results)) : ?>
    <? foreach ($results as $result) {
        $type = $result['type'];
        echo MessageBox::$type($result['message']);
    } ?>
<? else : ?>
    <?= MessageBox::success(_("Ihr Stud.IP sieht gut aus! Es konnten keine Probleme festgestellt werden.")) ?>
<? endif ?>

<table class="default hover">
    <thead>
        <tr>
            <th><?= _("Indikator") ?></th>
            <th><?= _("Wert") ?></th>
        </tr>
    </thead>
    <tbody>
        <? foreach ($report as $index => $value) : ?>
        <tr>
            <td><strong><?= htmlReady($index) ?></strong></td>
            <td><? switch ($index) {
                    case 'free_space_tmp':
                    case 'free_space_data':
                        echo CheckStudip::getDiscSpaceString($value);
                        break;
                    default:
                        echo htmlReady($value);
                }
                ?></td>
        </tr>
        <? endforeach ?>
    </tbody>
</table>


<?

$actions = new ActionsWidget();

$actions->addLink(
    _("Cache leeren"),
    PluginEngine::getURL($plugin, array(), "repair/cache"),
    Icon::create("trash", "clickable")
);
$actions->addLink(
    sprintf(_("TMP-Ordner leeren (%s belegt, %s frei)"), $bytes_in_tmp, $tmp_free_space),
    PluginEngine::getURL($plugin, array(), "repair/tmp"),
    Icon::create("trash", "clickable"),
    array('onClick' => "return window.confirm('"._("Wirklich leeren?")."');")
);
$actions->addLink(
    _("SOAP-Abfrage testen"),
    PluginEngine::getURL($plugin, array(), "testsoap/compose"),
    Icon::create($plugin->getPluginURL()."/assets/soap.svg", "clickable"),
    array('data-dialog' => 1)
);
$actions->addLink(
    _("Mail verschicken"),
    PluginEngine::getURL($plugin, array(), "mail/send_mail"),
    Icon::create("mail", "clickable"),
    array('data-dialog' => 1)
);
$actions->addLink(
    _("DB-Query Log"),
    PluginEngine::getURL($plugin, array(), "check/querylog"),
    Icon::create("sport", "clickable"),
    array('data-dialog' => 1)
);
$actions->addLink(
    _("JSON-Daten exportieren"),
    PluginEngine::getURL($plugin, array('secret' => md5(Config::get()->STUDIP_INSTALLATION_ID."Reporter")), "reporter/json/"),
    Icon::create("export", "clickable")
);
Sidebar::Get()->addWidget($actions);
