
<table class="default">
    <thead>
        <tr>
            <th><?= _('Meldung') ?></th>
            <th><?= _('Zeitpunkt') ?></th>
            <th><?= _('Fehlerlevel') ?></th>
            <th><?= _('Anzahl') ?></th>
        </tr>
    </thead>
    <tbody>
        <? foreach ($errors as $error) : ?>
        <tr>
            <td><?= nl2br(htmlReady($error['message'] ?? $error['original'])) ?></td>
            <td><?= is_int($error['datetime']) ? date('d.m.Y H:i:s', $error['datetime']) : htmlReady($error['datetime']) ?></td>
            <td><?= htmlReady($error['level']) ?></td>
            <td class="<?= $error['cardinality'] > 9 ? 'cardinality-'.(floor(log10($error['cardinality']))) : '' ?>">
                <?= htmlReady($error['cardinality']) ?>
            </td>
        </tr>
        <? endforeach ?>
    </tbody>
</table>

<style>
    .cardinality-1 {
        font-weight: bold;
    }
    .cardinality-2 {
        font-weight: bold;
        font-size: 1.2em;
    }
    .cardinality-3 {
        font-weight: bold;
        font-size: 1.5em;
    }
    .cardinality-4 {
        font-weight: bold;
        font-size: 1.7em;
    }
    .cardinality-5 {
        font-weight: bold;
        font-size: 2em;
    }
    .cardinality-5 {
        font-weight: bold;
        font-size: 2em;
    }
    .cardinality-6 {
        font-weight: bold;
        font-size: 2.2em;
    }
    .cardinality-7 {
        font-weight: bold;
        font-size: 2.5em;
    }
    .cardinality-8 {
        font-weight: bold;
        font-size: 2.7em;
    }
    .cardinality-9 {
        font-weight: bold;
        font-size: 3em;
    }
    .cardinality-10 {
        font-weight: bold;
        font-size: 3.2em;
    }
</style>
