<? if (!$minutes) : ?>
    <?= MessageBox::info(_('Der Cronjob zum Abholen der Daten läuft nicht. Daher gibt es hier auch nichts zu sehen.')) ?>
<? else : ?>
    <?
    $values = [];
    $index = 'users_online';
    foreach ($data as $row) {
        $rdata = [];
        $offset = 0;
        if (time() % 600 >= 300) {
            $offset++;
        }
        for ($i = count($row) + $offset; $i < $max_slots; $i++) {
            $rdata[] = 0;
        }
        foreach (array_reverse($row) as $value) {
            $rdata[] = (int) $value[$index];
        }
        $values[] = $rdata;
    }
    foreach ($data as $row) {
        $labels = [];
        foreach (array_reverse($row) as $value) {
            $date = $value['mkdate'] - $value['mkdate'] % $minutes;
            if ($date % 180 == 0) {
                $labels[] = date("H:i", $date)." Uhr";
            } else {
                $labels[] = '';
            }
        }
        break;
    }



    ?>

    <h1><?= htmlReady(UserConfig::get($GLOBALS['user']->id)->CHECK_SELECTED_METRIC) ?></h1>

    <div id="graph"
         data-series="<?= htmlReady(json_encode(array_values($series))) ?>"
         data-categories="<?= htmlReady(json_encode($categories)) ?>"
         data-colors="<?= htmlReady(json_encode($colors)) ?>"></div>

    <?= $this->render_partial('monitor/_table') ?>



    <script>
        $(function () {
            var options = {
                chart: {
                    type: 'line'
                },
                series: $('#graph').data('series'),
                xaxis: {
                    categories: $('#graph').data('categories')
                },
                colors: $('#graph').data('colors'),
                chart: {
                    height: '400px'
                }
            }

            STUDIP.CheckStudip.chart = new ApexCharts(document.querySelector("#graph"), options);

            STUDIP.CheckStudip.chart.render();
        });
    </script>
<? endif ?>
