<table class="default" id="checkstudip_dashboardtable">
    <thead>
    <tr>
        <th><?= _('Server') ?></th>
        <th colspan="30"><?= sprintf(_('Zeitpunkt (alle %s Minuten)'), $minutes) ?></th>
    </tr>
    </thead>
    <tbody>
    <? foreach ($servers as $server) : ?>
        <tr>
            <td>
                <? if (isset($data[$server->getId()][0]) && $data[$server->getId()][0]) : ?>
                    <a href="<?= PluginEngine::getLink($plugin, [], 'monitor/archive/'.$data[$server->getId()][0]['id']) ?>" data-dialog>
                        <?= htmlReady($server['name']) ?>
                    </a>
                <? else : ?>
                    <a href="<?= PluginEngine::getLink($plugin, [], 'monitor/peek/'.$server->getId()) ?>" data-dialog>
                        <?= htmlReady($server['name']) ?>
                    </a>
                <? endif ?>

            </td>
            <?
            $max = 0;
            foreach (array_reverse($data[$server->getId()]) as $d) {
                $max = max($d['users_online'], $max);
            }
            ?>
            <? for ($i = count($data[$server->getId()]); $i < $max_slots; $i++) : ?>
                <td></td>
            <? endfor ?>
            <? foreach (array_reverse($data[$server->getId()]) as $d) : ?>
                <td title="<?= htmlReady(date("H:i", $d['mkdate'])." Uhr") ?>" class="<?= $max > 0 && $d['users_online'] == $max ? 'maximum' : '' ?>">
                    <? if (!$d) : ?>
                        0
                    <? else : ?>
                        <a href="<?= PluginEngine::getLink($plugin, [], 'monitor/archive/'.$d['id']) ?>" data-dialog>
                            <?= htmlReady($d['users_online']) ?>
                        </a>
                    <? endif ?>
                </td>
            <? endforeach ?>
        </tr>
    <? endforeach ?>
    </tbody>
</table>
