<table class="default">
    <colgroup>
        <col style="min-width: 30%;">
        <col/>
        <col/>
    </colgroup>
    <tbody>
        <tr>
            <td><strong><?= htmlReady(_('Request erfolgreich')) ?></strong></td>
            <td></td>
            <td>
                <?= htmlReady($data['success']) ?>
            </td>
        </tr>
        <tr>
            <td><strong><?= htmlReady(_('Request Dauer')) ?></strong></td>
            <td></td>
            <td>
                <?= htmlReady($data['request_time']) ?>
            </td>
        </tr>
    <? foreach (CheckStudip::getMetrics() as $metric) : ?>
        <tr>
            <td>
                <strong><?= htmlReady($metric->getName()) ?></strong>
            </td>
            <td>
                <? if ($metric->getDescription() !== null) : ?>
                    <?= tooltipIcon($metric->getDescription()) ?>
                <? endif ?>
            </td>
            <td>
                <? switch ($metric->getIndex()) {
                    case 'free_space_tmp':
                    case 'free_space_data':
                        echo CheckStudip::getDiscSpaceString($data[$metric->getIndex()]);
                        break;
                    default:
                        echo htmlReady($data[$metric->getIndex()]);
                }
                ?>
            </td>
        </tr>
    <? endforeach ?>
    </tbody>
</table>

<div data-dialog-button>
    <? if ($data->previous) : ?>
        <?= \Studip\LinkButton::create(
            _('« Vorheriger Check'),
            PluginEngine::getLink($plugin, [], 'monitor/archive/' . $data->previous['id']),
            ['data-dialog' => 1]
        ) ?>
    <? endif ?>
    <? if ($data->next) : ?>
        <?= \Studip\LinkButton::create(
            _('Nächster Check »'),
            PluginEngine::getLink($plugin, [], 'monitor/archive/' . $data->next['id']),
            ['data-dialog' => 1]
        ) ?>
    <? else : ?>
        <?= \Studip\LinkButton::create(
            _('Frisch abrufen'),
            PluginEngine::getLink($plugin, [], 'monitor/peek/' . $data->server->id),
            ['data-dialog' => 1]
        ) ?>
    <? endif ?>
</div>
