<? if (count($servers)) : ?>
    <table class="default">
        <thead>
            <tr>
                <th><?= _('Name') ?></th>
                <th><?= _('Stud.IP Version') ?></th>
                <th><?= _('Alarme') ?></th>
                <th class="actions"></th>
            </tr>
        </thead>
        <tbody>
        <? foreach ($servers as $server) : ?>
            <tr>
                <td>
                    <a href="<?= PluginEngine::getLink($plugin, [], 'monitor/peek/'.$server->getId()) ?>" data-dialog>
                        <?= htmlReady($server['name']) ?>
                    </a>
                </td>
                <td>
                    <?= !empty($latest_check[$server->id]) ? htmlReady($latest_check[$server->id]['studip_version']) : '' ?>
                </td>
                <td>
                    <a href="<?= PluginEngine::getLink($plugin, [], 'server/alarms/'.$server->getId()) ?>" data-dialog>
                        <?= count($server->alarms) ?>
                    </a>
                </td>
                <td class="actions">
                    <a href="<?= PluginEngine::getLink($plugin, [], 'server/edit/'.$server->getId()) ?>" data-dialog>
                        <?= Icon::create('edit', Icon::ROLE_CLICKABLE)->asImg(20, ['class' => "text-bottom"]) ?>
                    </a>
                    <a href="<?= PluginEngine::getLink($plugin, [], 'server/alarms/'.$server->getId()) ?>" data-dialog>
                        <?= Icon::create('notification2', Icon::ROLE_CLICKABLE)->asImg(20, ['class' => 'text-bottom']) ?>
                    </a>
                </td>
            </tr>
        <? endforeach ?>
        </tbody>
    </table>
<? else : ?>
<? endif ?>



<?

$actions = new ActionsWidget();
$actions->addLink(
    _('Server hinzufügen'),
    PluginEngine::getURL($plugin, [], 'server/edit'),
    Icon::create('add', Icon::ROLE_CLICKABLE),
    ['data-dialog' => 1]
);

Sidebar::Get()->addWidget($actions);
