<form action="<?= PluginEngine::getLink($plugin, array(), "testsoap/save/".$request->id) ?>"
      method="post"
      class="default">

    <label>
        <?= _('Name') ?>
        <input type="text" name="name" required value="<?= htmlReady($request->name) ?>">
    </label>

    <label>
        <input type="checkbox" name="necessary_request" value="1"<?= $request->necessary_request ? ' checked' : '' ?>>
        <?= _('Notwendige Abfrage, die immer klappen muss') ?>
    </label>

    <label>
        <?= _("URL der WSDL-Datei") ?>
        <input type="text"
               name="wsdl"
               placeholder="https://..."
               required
               value="<?= htmlReady($request->wsdl) ?>">
    </label>

    <label>
        <?= _("Name der Methode") ?>
        <input type="text"
               name="method"
               value="<?= htmlReady($request->method) ?>"
               required>
    </label>

    <label>
        <?= _("Nutzername") ?>
        <input type="text"
               name="username"
               value="<?= htmlReady($request->username) ?>">
    </label>

    <label>
        <?= _("Passwort") ?>
        <input type="password"
               name="password"
               value="<?= htmlReady($request->password) ?>">
    </label>

    <label>
        <?= _("Security-Header") ?>
        <select name="security_header">
            <option value=""><?= _('Keiner') ?></option>
            <option value="wsse"<?= $request->security_header === 'wsse' ? ' selected' : '' ?>><?= _('WSSE (z.B. für HisInOne)') ?></option>
        </select>
    </label>

    <label>
        <?= _("Parameter als JSON") ?>
        <textarea name="json" placeholder="[]"><?= htmlReady($request->params) ?></textarea>
    </label>

    <div data-dialog-button>
        <?= \Studip\Button::create(_("Speichern")) ?>
    </div>

</form>
