<table class="default">
    <thead>
        <tr>
            <th><?= _('Name') ?></th>
            <th><?= _('Notwendig') ?></th>
            <th class="actions"><?= _('Aktionen') ?></th>
        </tr>
    </thead>
    <tbody>
    <? foreach ($requests as $request) : ?>
        <tr>
            <td><?= htmlReady($request['name']) ?></td>
            <td>
                <? if ($request['necessary_request']) : ?>
                    <?= Icon::create('checkbox-checked', Icon::ROLE_INFO)->asImg(20) ?>
                <? else : ?>
                    <?= Icon::create('checkbox-unchecked', Icon::ROLE_INFO)->asImg(20) ?>
                <? endif ?>
            </td>
            <td class="actions">
                <a href="<?= PluginEngine::getLink($plugin, [], 'testsoap/execute/'.$request->id )?>"
                   title="<?= _('Ausführen') ?>"
                   data-dialog>
                    <?= Icon::create('play', Icon::ROLE_CLICKABLE)->asImg(20, ['class' => 'text-bottom']) ?>
                </a>
                <a href="<?= PluginEngine::getLink($plugin, [], 'testsoap/edit/'.$request->id )?>"
                   title="<?= _('Bearbeiten') ?>"
                   data-dialog>
                    <?= Icon::create('edit', Icon::ROLE_CLICKABLE)->asImg(20, ['class' => 'text-bottom']) ?>
                </a>
                <form action="<?= PluginEngine::getLink($plugin, [], 'testsoap/delete/'.$request->id) ?>"
                      method="post"
                      class="inline">
                    <?= Icon::create('trash', Icon::ROLE_CLICKABLE)->asInput(20, ['class' => 'text-bottom', 'title' => _('Abfrage löschen'), 'data-confirm' => _('Wirklich löschen?')]) ?>
                </form>
            </td>
        </tr>
    <? endforeach ?>
    </tbody>
</table>

<?
$actions = new ActionsWidget();
$actions->addLink(
    _('Abfrage erstellen'),
    PluginEngine::getURL($plugin, [], 'testsoap/edit'),
    Icon::create('add', Icon::ROLE_CLICKABLE),
    ['data-dialog' => 1]
);
Sidebar::Get()->addWidget($actions);
