STUDIP.CheckStudip = {
    active_alarm_ids: [],
    chart: null,

    updateDashboard: function (data) {
        let error_played = false;
        let success_played = false;
        for (let i in data.active_alarm_ids) {
            if (STUDIP.CheckStudip.active_alarm_ids.indexOf(data.active_alarm_ids[i]) === -1 && !error_played) {
                console.log(STUDIP.CheckStudip.active_alarm_ids);
                console.log(data.active_alarm_ids[i]);
                STUDIP.CheckStudip.playErrorSound();
                error_played = true;
            }
        }
        for (let i in STUDIP.CheckStudip.active_alarm_ids) {
            if (data.active_alarm_ids.indexOf(STUDIP.CheckStudip.active_alarm_ids[i]) === -1 && !success_played) {
                STUDIP.CheckStudip.playSuccessSound();
                success_played = true;
            }
        }
        STUDIP.CheckStudip.active_alarm_ids = data.active_alarm_ids;

        if (data.data) {
            STUDIP.CheckStudip.chart.updateSeries(data.data);
        }
        if (data.table) {
            $('#checkstudip_dashboardtable').replaceWith(data.table);
        }
    },
    playErrorSound: function () {
        let play = function () {
            document.getElementById("error_sound").play();
        };
        play();
        window.setTimeout(play, 1200);
        window.setTimeout(play, 2400);
    },
    playSuccessSound: function () {
        document.getElementById("success_sound").play();
    }
};

$(function () {
    STUDIP.JSUpdater.register(
        'CheckStudipDashboard',
        STUDIP.CheckStudip.updateDashboard,
        function () {

        }
    );
});
