<?php

class MailController extends PluginController
{
    public function send_mail_action()
    {
        if (!$GLOBALS['perm']->have_perm("root")) {
            throw new AccessDeniedException();
        }
        if (Request::isPost()) {
            $mail = new StudipMail();
            $mail->addRecipient(Request::get("email"));
            $mail->setSubject(Request::get("subject"));
            $mail->setBodyText(Request::get("body"));
            $success = $mail->send();
            if ($success) {
                PageLayout::postMessage(MessageBox::success(_("Mail wurde verschickt.")));
            } else {
                PageLayout::postMessage(MessageBox::error(_("Mail konnte nicht verschickt werden. Die Fehlermeldung sollte im Log stehen (vermutlich im TMP-Ordner).")));
            }
            $this->redirect("mail/send_mail");
        }
    }
}
