<?php

namespace CheckStudip;

class DbVersion implements \CheckStudipMetric
{
    public function getName()
    {
        return _('Datenbank-Version');
    }

    public function getDescription()
    {
        return null;
    }

    public function getIndex()
    {
        return 'db_version';
    }

    public function measure()
    {
        $db_version = \DBManager::get()->query("SHOW VARIABLES LIKE 'version'")->fetch(\PDO::FETCH_ASSOC);
        return $db_version['Value'];
    }

    public function defaultAlarm()
    {
        return null;
    }

    public function getMessage()
    {
        return '';
    }
}
