<?php

namespace CheckStudip;

class UsersOnline implements \CheckStudipMetric
{
    public function getName()
    {
        return _('Onlinenutzer');
    }

    public function getIndex()
    {
        return 'users_online';
    }

    public function getDescription()
    {
        return null;
    }

    public function measure()
    {
        return \get_users_online_count();
    }

    public function defaultAlarm()
    {
        return null;
    }

    public function getMessage()
    {
        return '';
    }
}
