<table class="default">
    <thead>
        <tr>
            <th><?= _('Dauer in Sekunden') ?></th>
            <th><?= _('Status') ?></th>
            <th><?= _('Command') ?></th>
            <th><?= _('Info') ?></th>
            <th class="actions"><?= _('Aktion') ?></th>
        </tr>
    </thead>
    <tbody>
        <? foreach ($results as $result) : ?>
        <tr>
            <td>
                <?= htmlReady($result['TIME']) ?>
            </td>
            <td>
                <?= htmlReady($result['STATE']) ?>
            </td>
            <td>
                <?= htmlReady($result['COMMAND']) ?>
            </td>
            <td>
                <?
                $query = str_replace(
                    ['FROM', 'WHERE', 'ORDER BY', 'INNER JOIN', 'LEFT JOIN', 'GROUP BY'],
                    ["\nFROM", "\nWHERE", "\nORDER BY", "\nINNER JOIN", "\nLEFT JOIN", "\nGROUP BY"],
                    $result['INFO']
                );
                echo nl2br(htmlReady($query))
                ?>
            </td>
            <td class="actions">
                <form action="<?= PluginEngine::getLink($plugin, [], 'check/killdbprocess') ?>"
                      class="inline"
                      data-dialog
                      method="post">
                    <?= CSRFProtection::tokenTag() ?>
                    <input type="hidden" name="pid" value="<?= htmlReady($result['ID']) ?>">
                    <?= Icon::create('decline', Icon::ROLE_STATUS_RED)->asInput(20, ['title' => _('Diesen Prozess löschen.')]) ?>
                </form>
            </td>
        </tr>
        <? endforeach ?>
    </tbody>
</table>
<div data-dialog-button>
    <?= \Studip\LinkButton::create(_('Erneut laden'), PluginEngine::getURL($plugin, [], 'check/querylog'), ['data-dialog' => 1]) ?>
</div>
