<table class="default">
    <colgroup>
        <col style="min-width: 30%;">
        <col/>
        <col/>
        <col/>
    </colgroup>
    <thead>
        <tr>
            <th><?= _('Attribut') ?></th>
            <th></th>
            <th><?= _('Aktueller Wert') ?></th>
            <th><?= _('Höchster Wert') ?></th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><strong><?= htmlReady(_('Request erfolgreich')) ?></strong></td>
            <td></td>
            <td>
                <?= htmlReady($data['success'] ? 1 : 0) ?>
            </td>
            <td></td>
        </tr>
        <tr>
            <td><strong><?= htmlReady(_('Request Dauer')) ?></strong></td>
            <td></td>
            <td>
                <?= htmlReady($data['request_time']) ?>
            </td>
            <td>
                <?
                $top = CheckMonitoringData::findHighest($server->id, 'request_time');
                ?>
                <? if (!empty($top)) : ?>
                    <a href="<?= PluginEngine::getLink($plugin, [], 'monitor/archive/'.$top->id )?>"
                       data-dialog
                       title="<?= date('H:i d.m.Y', $top['mkdate']) ?>">
                        <?= htmlReady($top['request_time']) ?>
                    </a>
                <? endif ?>
            </td>
        </tr>
        <? foreach (CheckStudip::getMetrics() as $metric) : ?>
        <tr>
            <td>
                <strong><?= htmlReady($metric->getName()) ?></strong>
            </td>
            <td>
                <? if ($metric->getDescription() !== null) : ?>
                    <?= tooltipIcon($metric->getDescription()) ?>
                <? endif ?>
            </td>
            <td>
                <? switch ($metric->getIndex()) {
                    case 'free_space_tmp':
                    case 'free_space_data':
                        echo isset($data[$metric->getIndex()]) ? CheckStudip::getDiscSpaceString($data[$metric->getIndex()]) : '';
                        break;
                    default:
                        echo htmlReady(isset($data[$metric->getIndex()]) ? $data[$metric->getIndex()] : '');
                }
                ?>
            </td>
            <td>
                <? if (in_array($metric->getIndex(), ['users_online', 'load', 'load_percentage', 'mycourses_time', 'request_time'])) : ?>
                    <?
                    $top = CheckMonitoringData::findHighest($server->id, $metric->getIndex());
                    ?>
                    <? if (!empty($top)) : ?>
                        <a href="<?= PluginEngine::getLink($plugin, [], 'monitor/archive/'.$top->id )?>"
                           data-dialog
                           title="<?= date('H:i d.m.Y', $top['mkdate']) ?>">
                            <?= htmlReady($top[$metric->getIndex()]) ?>
                        </a>
                    <? endif ?>
                <? endif ?>
            </td>
        </tr>
        <? endforeach ?>
    </tbody>
</table>

<div data-dialog-button>
    <?= \Studip\LinkButton::create(
        _('Erneut abrufen'),
        PluginEngine::getLink($plugin, [], 'monitor/peek/' . $server->id),
        ['data-dialog' => 1]
    ) ?>

</div>
