<form action="<?= PluginEngine::getLink($plugin, [], 'server/alarms/'.$server->id) ?>"
      method="post"
      data-dialog
      class="default">
    <table class="default">
        <thead>
            <tr>
                <th></th>
                <th><?= _('Metrik') ?></th>
                <th><?= _('Vergleichsoperator') ?></th>
                <th><?= _('Wert') ?></th>
                <th></th>
                <th><?= _('Meldungstyp') ?></th>
                <th class="actions">
                    <?= _('Aktion') ?>
                </th>
            </tr>
        </thead>
        <tbody>
            <? foreach ($server->alarms as $alarm) : ?>
                <tr>
                    <td><?= _('Wenn') ?></td>
                    <td>
                        <?= htmlReady($alarm['metric']) ?>
                        <input type="hidden" name="alarms[<?= htmlReady($alarm->id) ?>][metric]" value="<?= htmlReady($alarm['metric']) ?>">
                    </td>
                    <td>
                        <select name="alarms[<?= htmlReady($alarm->id) ?>][compare]" aria-label="<?= _('Vergleichsoperator') ?>">
                            <? foreach (['<=', '>=', '!=', '='] as $c) : ?>
                            <option value="<?= htmlReady($c) ?>"<?= $alarm['compare'] == $c ? ' selected' : '' ?>><?= htmlReady($c) ?></option>
                            <? endforeach ?>
                        </select>
                    </td>
                    <td>
                        <input name="alarms[<?= htmlReady($alarm->id) ?>][value]"
                               placeholder="<?= _('Leerstring') ?>"
                               value="<?= htmlReady($alarm['value']) ?>"
                               aria-label="<?= _('Wert') ?>">
                    </td>
                    <td>
                        <?= _('dann') ?>
                    </td>
                    <td>
                        <label>
                            <select name="alarms[<?= htmlReady($alarm->id) ?>][type]" aria-label="<?= _('Meldungstyp') ?>">
                                <? foreach (['info', 'warning', 'error'] as $state) : ?>
                                    <option value="<?= htmlReady($state) ?>"<?= $alarm['type'] == $state ? ' selected' : '' ?>><?= htmlReady($state) ?></option>
                                <? endforeach ?>
                            </select>
                        </label>
                    </td>
                    <td class="actions">
                        <?= Icon::create('trash')->asInput(20, ['name' => 'delete', 'value' => $alarm->id, 'data-confirm' => _('Wirklich löschen?')]) ?>
                    </td>
                </tr>
            <? endforeach ?>
            <tr>
                <td><?= _('Wenn') ?></td>
                <td>
                    <select name="alarms[new][metric]" aria-label="<?= _('Metrik') ?>">
                        <option value=""> - </option>
                        <? foreach ($metrics as $metric) : ?>
                            <option><?= htmlReady($metric) ?></option>
                        <? endforeach ?>
                    </select>
                </td>
                <td>
                    <select name="alarms[new][compare]" aria-label="<?= _('Vergleichsoperator') ?>">
                        <? foreach (['<=', '>=', '!=', '='] as $c) : ?>
                            <option value="<?= htmlReady($c) ?>"><?= htmlReady($c) ?></option>
                        <? endforeach ?>
                    </select>
                </td>
                <td>
                    <input name="alarms[new][value]"
                           placeholder="<?= _('Leerstring') ?>"
                           value=""
                           aria-label="<?= _('Wert') ?>">
                </td>
                <td>
                    <?= _('dann') ?>
                </td>
                <td>
                    <label>
                        <select name="alarms[new][type]" aria-label="<?= _('Meldungstyp') ?>">
                            <? foreach (['info', 'warning', 'error'] as $state) : ?>
                                <option value="<?= htmlReady($state) ?>"><?= htmlReady($state) ?></option>
                            <? endforeach ?>
                        </select>
                    </label>
                </td>
                <td class="actions">
                    <?= Icon::create('add')->asInput(20, ['name' => 'add_alarm']) ?>
                </td>
            </tr>
        </tbody>
    </table>
    <div data-dialog-button>
        <?= \Studip\Button::create(_('Speichern')) ?>
    </div>
</form>
