<form action="<?= PluginEngine::getLink($plugin, [], 'server/filter') ?>"
      method="get"
      class="default"
      data-dialog>
    <label>
        <?= _('Version X oder älter') ?>
        <select name="version">
            <option value=""></option>
            <? foreach ($versions as $version) : ?>
            <option<?= Request::get('version') === $version ? ' selected' : '' ?>><?= htmlReady($version) ?></option>
            <? endforeach ?>
        </select>
    </label>

    <label>
        <?= _('PHP Version X oder älter') ?>
        <select name="php_version">
            <option value=""></option>
            <? foreach ($php_versions as $php_version) : ?>
                <? if ($php_version) : ?>
                <option<?= Request::get('php_version') === $php_version ? ' selected' : '' ?>><?= htmlReady($php_version) ?></option>
                <? endif ?>
            <? endforeach ?>
        </select>
    </label>

    <label>
        <?= _('Filter nach Plugin') ?>
        <select name="plugin">
            <option value=""></option>
            <? foreach ($plugins as $plugin) : ?>
                <option<?= Request::get('plugin') === $plugin ? ' selected' : '' ?>><?= htmlReady($plugin) ?></option>
            <? endforeach ?>
        </select>
    </label>

    <?= \Studip\Button::create(_('Filtern')) ?>
</form>
<? if (Request::get('version') || Request::get('php_version') || Request::get('plugin')) : ?>
<table class="default">
    <thead>
        <tr>
            <th><?= _('Standort') ?></th>
            <th><?= _('Stud.IP-Version') ?></th>
            <th><?= _('PHP') ?></th>
        </tr>
    </thead>
    <tbody>
        <? foreach ($servers as $server) : ?>
        <? if (((!Request::get('plugin') || stripos($latest_check[$server->id]['plugins'], Request::get('plugin')) !== false)) && (!Request::get('version') || version_compare($latest_check[$server->id]['studip_version'], Request::get('version'), '<=')) && (!Request::get('php_version') || version_compare($latest_check[$server->id]['php_version'], Request::get('php_version'), '<='))) : ?>
            <tr>
                <td>
                    <?= htmlReady($server['name']) ?>
                </td>
                <td>
                    <?= htmlReady($latest_check[$server->id]['studip_version']) ?>
                </td>
                <td>
                    <?= htmlReady($latest_check[$server->id]['php_version']) ?>
                </td>
            </tr>
        <? endif ?>
        <? endforeach ?>
    </tbody>
</table>
<? endif ?>
